Package helma.image.imageio.gif

# Class GIFImageWriterSpi

java.lang.Object
javax.imageio.spi.IIOServiceProvider
javax.imageio.spi.ImageReaderWriterSpi
javax.imageio.spi.ImageWriterSpi
helma.image.imageio.gif.GIFImageWriterSpi

All Implemented Interfaces:
  `RegisterableService`

public class GIFImageWriterSpi extends ImageWriterSpi

## Field Summary

### Fields inherited from class javax.imageio.spi.ImageWriterSpi

`outputTypes, readerSpiNames, STANDARD_OUTPUT_TYPE`

### Fields inherited from class javax.imageio.spi.ImageReaderWriterSpi

`extraImageMetadataFormatClassNames, extraImageMetadataFormatNames, extraStreamMetadataFormatClassNames, extraStreamMetadataFormatNames, MIMETypes, names, nativeImageMetadataFormatClassName, nativeImageMetadataFormatName, nativeStreamMetadataFormatClassName, nativeStreamMetadataFormatName, pluginClassName, suffixes, supportsStandardImageMetadataFormat, supportsStandardStreamMetadataFormat`

### Fields inherited from class javax.imageio.spi.IIOServiceProvider

`vendorName, version`

## Constructor Summary

Constructors
Constructor
Description
`GIFImageWriterSpi()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canEncodeImage(ImageTypeSpecifier type)`
`ImageWriter`
`createWriterInstance(Object extension)`
`String`
`getDescription(Locale locale)`

### Methods inherited from class javax.imageio.spi.ImageWriterSpi

`canEncodeImage, createWriterInstance, getImageReaderSpiNames, getOutputTypes, isFormatLossless, isOwnWriter`

### Methods inherited from class javax.imageio.spi.ImageReaderWriterSpi

`getExtraImageMetadataFormatNames, getExtraStreamMetadataFormatNames, getFileSuffixes, getFormatNames, getImageMetadataFormat, getMIMETypes, getNativeImageMetadataFormatName, getNativeStreamMetadataFormatName, getPluginClassName, getStreamMetadataFormat, isStandardImageMetadataFormatSupported, isStandardStreamMetadataFormatSupported`

### Methods inherited from class javax.imageio.spi.IIOServiceProvider

`getVendorName, getVersion, onDeregistration, onRegistration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GIFImageWriterSpi

public GIFImageWriterSpi()

## Method Details

### getDescription

public String getDescription(Locale locale)

Specified by:
  `getDescription` in class `IIOServiceProvider`

### createWriterInstance

public ImageWriter createWriterInstance(Object extension) throws IOException

Specified by:
  `createWriterInstance` in class `ImageWriterSpi`
Throws:
  `IOException`

### canEncodeImage

public boolean canEncodeImage(ImageTypeSpecifier type)

Specified by:
  `canEncodeImage` in class `ImageWriterSpi`